//
//  iBioView.m
//  iBio
//
//  Created by zzerr on 08. 09. 04.
//  Copyright 2008 cocoadev.co.kr. All rights reserved.
//

#import "iBioView.h"


@implementation iBioView


- (id)initWithFrame:(CGRect)frame {
	if (self = [super initWithFrame:frame]) {
		for (int i = 0; i < MAX_DATATYPE; i++) {
			bioData[i] = 0.0;
		}
	}
	return self;
}

- (void)drawRect:(CGRect)rect {
    CGContextRef context = UIGraphicsGetCurrentContext();
	
	for (int i = 0; i < MAX_DATATYPE; i++) {
		CGContextBeginPath(context);
		CGContextSetLineWidth(context, 15.0);
		
		int y = 34 + (i * 40);
		if (bioData[i] > 0)
			CGContextSetRGBStrokeColor(context, 0.0, 0.0, 1.0, 1.0);
		else
			CGContextSetRGBStrokeColor(context, 1.0, 0.0, 0.0, 1.0);
		CGContextMoveToPoint(context, 200, y);
		CGContextAddLineToPoint(context, 200 + (bioData[i] * 80/100) , y);
		
		CGContextStrokePath(context);
	}
}

- (void)dealloc {
	[super dealloc];
}

- (void)showBioData: (double)days {
	static const double s_values[MAX_DATATYPE] = {
		23.0, 28.0, 33.0
	}; 
	
	for (int i = 0; i < MAX_DATATYPE; i++) {
		bioData[i] = sin((days/s_values[i]) * 2 * 3.14195) * 100;
	}
	
	[self setNeedsDisplay];
	
}

- (int)getBioDataAt: (int)index {
	return (int)bioData[index];
}

@end
